AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get multiple transactions

This endpoint allows developers to query previously initiated transactions. You can do a single or bulk query with the endpoint depending on your use case.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/transactions

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

from string required
This is the specified date to start the list from. YYYY-MM-DD

to string required
The is the specified end period for the search . YYYY-MM-DD

page int 32
This is the page number to retrieve e.g. setting 1 retrieves the first page

customer_email string
This is the email of the customer who carried out a transaction. You can use this to query the transactions for a single customer.

status string
This is the status for the queried transactions. Expected values for status include successful and failed.

tx_ref string
This is the unique merchant reference tied to a transaction. This should be specified when querying a specific transaction.

customer_fullname string
The Customer's full name.

currency string
This is the specified currency to charge in. All currencies supported by Flutterwave can be passed here. You can check our Currency listing for more details.

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id string

tx_ref string

flw_ref string

device_fingerprint string

amount integer

currency string

charged_amount integer

app_fee string

merchant_fee integer

processor_response string

auth_model string

ip string

narration string

status string

payment_type string

created_at string

amount_settled string

account object

FILL IN ALL REQUIRED FIELDS

nuban string

bank string

customer_name string

customer_email string

account_id string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys